Index: kernel/generic/src/udebug/udebug_ipc.c
===================================================================
--- kernel/generic/src/udebug/udebug_ipc.c	(revision eb13ef8440f5e94338275db8fd83e4e513c82ab1)
+++ kernel/generic/src/udebug/udebug_ipc.c	(revision fafb8e5dc8a80c87cf66270ca6f93d574a95471c)
@@ -53,5 +53,5 @@
 errno_t udebug_request_preprocess(call_t *call, phone_t *phone)
 {
-	switch (IPC_GET_ARG1(&call->data)) {
+	switch (ipc_get_arg1(&call->data)) {
 		/* future UDEBUG_M_REGS_WRITE, UDEBUG_M_MEM_WRITE: */
 	default:
@@ -76,5 +76,5 @@
 	rc = udebug_begin(call, &active);
 	if (rc != EOK) {
-		IPC_SET_RETVAL(&call->data, rc);
+		ipc_set_retval(&call->data, rc);
 		ipc_answer(&TASK->kb.box, call);
 		return;
@@ -86,5 +86,5 @@
 	 */
 	if (active) {
-		IPC_SET_RETVAL(&call->data, EOK);
+		ipc_set_retval(&call->data, EOK);
 		ipc_answer(&TASK->kb.box, call);
 	}
@@ -102,5 +102,5 @@
 	rc = udebug_end();
 
-	IPC_SET_RETVAL(&call->data, rc);
+	ipc_set_retval(&call->data, rc);
 	ipc_answer(&TASK->kb.box, call);
 }
@@ -116,8 +116,8 @@
 	udebug_evmask_t mask;
 
-	mask = IPC_GET_ARG2(&call->data);
+	mask = ipc_get_arg2(&call->data);
 	rc = udebug_set_evmask(mask);
 
-	IPC_SET_RETVAL(&call->data, rc);
+	ipc_set_retval(&call->data, rc);
 	ipc_answer(&TASK->kb.box, call);
 }
@@ -133,9 +133,9 @@
 	errno_t rc;
 
-	t = (thread_t *)IPC_GET_ARG2(&call->data);
+	t = (thread_t *)ipc_get_arg2(&call->data);
 
 	rc = udebug_go(t, call);
 	if (rc != EOK) {
-		IPC_SET_RETVAL(&call->data, rc);
+		ipc_set_retval(&call->data, rc);
 		ipc_answer(&TASK->kb.box, call);
 		return;
@@ -153,8 +153,8 @@
 	errno_t rc;
 
-	t = (thread_t *)IPC_GET_ARG2(&call->data);
+	t = (thread_t *)ipc_get_arg2(&call->data);
 
 	rc = udebug_stop(t, call);
-	IPC_SET_RETVAL(&call->data, rc);
+	ipc_set_retval(&call->data, rc);
 	ipc_answer(&TASK->kb.box, call);
 }
@@ -173,6 +173,6 @@
 	errno_t rc;
 
-	uspace_addr = IPC_GET_ARG2(&call->data);	/* Destination address */
-	buf_size = IPC_GET_ARG3(&call->data);	/* Dest. buffer size */
+	uspace_addr = ipc_get_arg2(&call->data);	/* Destination address */
+	buf_size = ipc_get_arg3(&call->data);	/* Dest. buffer size */
 
 	/*
@@ -182,5 +182,5 @@
 	rc = udebug_thread_read(&buffer, buf_size, &copied, &needed);
 	if (rc != EOK) {
-		IPC_SET_RETVAL(&call->data, rc);
+		ipc_set_retval(&call->data, rc);
 		ipc_answer(&TASK->kb.box, call);
 		return;
@@ -191,13 +191,13 @@
 	 */
 
-	IPC_SET_RETVAL(&call->data, 0);
-	/*
-	 * ARG1=dest, ARG2=size as in IPC_M_DATA_READ so that
-	 * same code in process_answer() can be used
-	 * (no way to distinguish method in answer)
-	 */
-	IPC_SET_ARG1(&call->data, uspace_addr);
-	IPC_SET_ARG2(&call->data, copied);
-	IPC_SET_ARG3(&call->data, needed);
+	ipc_set_retval(&call->data, 0);
+	/*
+	 * ARG1=dest, ARG2=size as in IPC_M_DATA_READ so that
+	 * same code in process_answer() can be used
+	 * (no way to distinguish method in answer)
+	 */
+	ipc_set_arg1(&call->data, uspace_addr);
+	ipc_set_arg2(&call->data, copied);
+	ipc_set_arg3(&call->data, needed);
 	call->buffer = buffer;
 
@@ -219,6 +219,6 @@
 	void *data;
 
-	uspace_addr = IPC_GET_ARG2(&call->data);	/* Destination address */
-	buf_size = IPC_GET_ARG3(&call->data);	/* Dest. buffer size */
+	uspace_addr = ipc_get_arg2(&call->data);	/* Destination address */
+	buf_size = ipc_get_arg3(&call->data);	/* Dest. buffer size */
 
 	/*
@@ -238,14 +238,14 @@
 	 */
 
-	IPC_SET_RETVAL(&call->data, 0);
-	/*
-	 * ARG1=dest, ARG2=size as in IPC_M_DATA_READ so that
-	 * same code in process_answer() can be used
-	 * (no way to distinguish method in answer)
-	 */
-	IPC_SET_ARG1(&call->data, uspace_addr);
-	IPC_SET_ARG2(&call->data, to_copy);
-
-	IPC_SET_ARG3(&call->data, data_size);
+	ipc_set_retval(&call->data, 0);
+	/*
+	 * ARG1=dest, ARG2=size as in IPC_M_DATA_READ so that
+	 * same code in process_answer() can be used
+	 * (no way to distinguish method in answer)
+	 */
+	ipc_set_arg1(&call->data, uspace_addr);
+	ipc_set_arg2(&call->data, to_copy);
+
+	ipc_set_arg3(&call->data, data_size);
 	call->buffer = data;
 
@@ -268,6 +268,6 @@
 	as_area_info_t *data;
 
-	uspace_addr = IPC_GET_ARG2(&call->data);	/* Destination address */
-	buf_size = IPC_GET_ARG3(&call->data);	/* Dest. buffer size */
+	uspace_addr = ipc_get_arg2(&call->data);	/* Destination address */
+	buf_size = ipc_get_arg3(&call->data);	/* Dest. buffer size */
 
 	/*
@@ -276,5 +276,5 @@
 	data = as_get_area_info(AS, &data_size);
 	if (!data) {
-		IPC_SET_RETVAL(&call->data, ENOMEM);
+		ipc_set_retval(&call->data, ENOMEM);
 		ipc_answer(&TASK->kb.box, call);
 		return;
@@ -292,14 +292,14 @@
 	 */
 
-	IPC_SET_RETVAL(&call->data, 0);
-	/*
-	 * ARG1=dest, ARG2=size as in IPC_M_DATA_READ so that
-	 * same code in process_answer() can be used
-	 * (no way to distinguish method in answer)
-	 */
-	IPC_SET_ARG1(&call->data, uspace_addr);
-	IPC_SET_ARG2(&call->data, to_copy);
-
-	IPC_SET_ARG3(&call->data, data_size);
+	ipc_set_retval(&call->data, 0);
+	/*
+	 * ARG1=dest, ARG2=size as in IPC_M_DATA_READ so that
+	 * same code in process_answer() can be used
+	 * (no way to distinguish method in answer)
+	 */
+	ipc_set_arg1(&call->data, uspace_addr);
+	ipc_set_arg2(&call->data, to_copy);
+
+	ipc_set_arg3(&call->data, data_size);
 	call->buffer = (uint8_t *) data;
 
@@ -319,9 +319,9 @@
 	void *buffer;
 
-	t = (thread_t *)IPC_GET_ARG2(&call->data);
+	t = (thread_t *)ipc_get_arg2(&call->data);
 
 	rc = udebug_args_read(t, &buffer);
 	if (rc != EOK) {
-		IPC_SET_RETVAL(&call->data, rc);
+		ipc_set_retval(&call->data, rc);
 		ipc_answer(&TASK->kb.box, call);
 		return;
@@ -332,14 +332,14 @@
 	 */
 
-	uspace_addr = IPC_GET_ARG3(&call->data);
-
-	IPC_SET_RETVAL(&call->data, 0);
-	/*
-	 * ARG1=dest, ARG2=size as in IPC_M_DATA_READ so that
-	 * same code in process_answer() can be used
-	 * (no way to distinguish method in answer)
-	 */
-	IPC_SET_ARG1(&call->data, uspace_addr);
-	IPC_SET_ARG2(&call->data, 6 * sizeof(sysarg_t));
+	uspace_addr = ipc_get_arg3(&call->data);
+
+	ipc_set_retval(&call->data, 0);
+	/*
+	 * ARG1=dest, ARG2=size as in IPC_M_DATA_READ so that
+	 * same code in process_answer() can be used
+	 * (no way to distinguish method in answer)
+	 */
+	ipc_set_arg1(&call->data, uspace_addr);
+	ipc_set_arg2(&call->data, 6 * sizeof(sysarg_t));
 	call->buffer = buffer;
 
@@ -359,9 +359,9 @@
 	errno_t rc;
 
-	t = (thread_t *) IPC_GET_ARG2(&call->data);
+	t = (thread_t *) ipc_get_arg2(&call->data);
 
 	rc = udebug_regs_read(t, &buffer);
 	if (rc != EOK) {
-		IPC_SET_RETVAL(&call->data, rc);
+		ipc_set_retval(&call->data, rc);
 		ipc_answer(&TASK->kb.box, call);
 		return;
@@ -374,15 +374,15 @@
 	 */
 
-	uspace_addr = IPC_GET_ARG3(&call->data);
+	uspace_addr = ipc_get_arg3(&call->data);
 	to_copy = sizeof(istate_t);
 
-	IPC_SET_RETVAL(&call->data, 0);
-	/*
-	 * ARG1=dest, ARG2=size as in IPC_M_DATA_READ so that
-	 * same code in process_answer() can be used
-	 * (no way to distinguish method in answer)
-	 */
-	IPC_SET_ARG1(&call->data, uspace_addr);
-	IPC_SET_ARG2(&call->data, to_copy);
+	ipc_set_retval(&call->data, 0);
+	/*
+	 * ARG1=dest, ARG2=size as in IPC_M_DATA_READ so that
+	 * same code in process_answer() can be used
+	 * (no way to distinguish method in answer)
+	 */
+	ipc_set_arg1(&call->data, uspace_addr);
+	ipc_set_arg2(&call->data, to_copy);
 
 	call->buffer = buffer;
@@ -404,11 +404,11 @@
 	errno_t rc;
 
-	uspace_dst = IPC_GET_ARG2(&call->data);
-	uspace_src = IPC_GET_ARG3(&call->data);
-	size = IPC_GET_ARG4(&call->data);
+	uspace_dst = ipc_get_arg2(&call->data);
+	uspace_src = ipc_get_arg3(&call->data);
+	size = ipc_get_arg4(&call->data);
 
 	rc = udebug_mem_read(uspace_src, size, &buffer);
 	if (rc != EOK) {
-		IPC_SET_RETVAL(&call->data, rc);
+		ipc_set_retval(&call->data, rc);
 		ipc_answer(&TASK->kb.box, call);
 		return;
@@ -417,12 +417,12 @@
 	assert(buffer != NULL);
 
-	IPC_SET_RETVAL(&call->data, 0);
-	/*
-	 * ARG1=dest, ARG2=size as in IPC_M_DATA_READ so that
-	 * same code in process_answer() can be used
-	 * (no way to distinguish method in answer)
-	 */
-	IPC_SET_ARG1(&call->data, uspace_dst);
-	IPC_SET_ARG2(&call->data, size);
+	ipc_set_retval(&call->data, 0);
+	/*
+	 * ARG1=dest, ARG2=size as in IPC_M_DATA_READ so that
+	 * same code in process_answer() can be used
+	 * (no way to distinguish method in answer)
+	 */
+	ipc_set_arg1(&call->data, uspace_dst);
+	ipc_set_arg2(&call->data, size);
 	call->buffer = buffer;
 
@@ -439,5 +439,5 @@
 	int debug_method;
 
-	debug_method = IPC_GET_ARG1(&call->data);
+	debug_method = ipc_get_arg1(&call->data);
 
 	if (debug_method != UDEBUG_M_BEGIN) {
@@ -450,5 +450,5 @@
 		 */
 		if (TASK->udebug.debugger != call->sender) {
-			IPC_SET_RETVAL(&call->data, EINVAL);
+			ipc_set_retval(&call->data, EINVAL);
 			ipc_answer(&TASK->kb.box, call);
 			return;
